Set custom fields for applicant by short verification id
curl --request POST \
--url https://api.dataspike.io/api/v3/sdk/{short_id}/fields \
--header 'Content-Type: application/json' \
--header 'ds-api-token: <api-key>' \
--data '
{
"full_name": "<string>",
"email": "<string>",
"phone": "<string>",
"country": "<string>",
"dob": "<string>",
"citizenship": "<string>",
"address": "<string>",
"custom_fields": {}
}
'import requests
url = "https://api.dataspike.io/api/v3/sdk/{short_id}/fields"
payload = {
"full_name": "<string>",
"email": "<string>",
"phone": "<string>",
"country": "<string>",
"dob": "<string>",
"citizenship": "<string>",
"address": "<string>",
"custom_fields": {}
}
headers = {
"ds-api-token": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'ds-api-token': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
full_name: '<string>',
email: '<string>',
phone: '<string>',
country: '<string>',
dob: '<string>',
citizenship: '<string>',
address: '<string>',
custom_fields: {}
})
};
fetch('https://api.dataspike.io/api/v3/sdk/{short_id}/fields', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "<string>"
}SDK
Set custom fields for applicant by short verification id
This endpoint should be use for setup custom fields for applicant from SDK.
POST
/
api
/
v3
/
sdk
/
{short_id}
/
fields
Set custom fields for applicant by short verification id
Authorizations
Path Parameters
Existing Verification Short Id
Example:
"VDBA1B2EA6A28A7D2"
Body
application/json
Response
200 - application/json
Updated
Response with message
⌘I